New Blog Templates Activation Error

Can anyone throw some light on this fatal error I got with this plugin and the message about only compatible with WordPress Multisite;

“Plugin could not be activated because it triggered a fatal error.”

“The New Blog Templates plugin is only compatible with WordPress Multisite.”

Like the concept of this plugin so I was disappointed to find issues. Making templates fromsites you are happy with and using to clone more is exciting really!

Can anyone throw some light?

Thanks